PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
P_timeval Class Reference

`#include <socket.h>`

## Public Member Functions
| P_timeval ()
| P_timeval (const PTimeInterval &time)
P_timeval & | operator= (const PTimeInterval &time)
| operator timeval * ()
timeval * | operator-> ()
timeval & | operator* ()

## Constructor & Destructor Documentation

P_timeval::P_timeval | ( |  | ) |

P_timeval::P_timeval | ( | const PTimeInterval & | time | ) |
| inline

References PChannel::operator=().

## Member Function Documentation

P_timeval::operator timeval * | ( |  | ) |
| inline

timeval& P_timeval::operator* | ( |  | ) |
| inline

timeval* P_timeval::operator-> | ( |  | ) |
| inline

P_timeval& P_timeval::operator= | ( | const PTimeInterval & | time | ) |

The documentation for this class was generated from the following file:

- socket.h